Skip to main content
GET
Get conversation

Authorizations

__Host-oc_session
string
cookie
required

Path Parameters

conversation
string<uuid>
required

Response

Conversation with Messages and turns.

id
string<uuid>
required
subject
string
required
Required string length: 1 - 512
source
enum<string>
required
Available options:
web,
slack
createdAt
string<date-time>
required
lastActivityAt
string<date-time>
required
messages
object[]
required
turns
object[]
required

First page ordered by turn number then Investigation ID ascending.

Maximum array length: 50
turnsNext
string | null
required

Pass as cursor to the Conversation turns endpoint; null when exhausted.

Maximum string length: 512
incidentId
string<uuid>
createdBy
string
Maximum string length: 256